Mail archive
alpine-aports

[alpine-aports] [PATCH v3] testing/babeltrace: new aport

From: Michael Jeanson <mjeanson_at_efficios.com>
Date: Mon, 13 Jun 2016 11:51:17 -0500

https://www.efficios.com/babeltrace
a trace converter and read/write library
---
 testing/babeltrace/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/babeltrace/APKBUILD
diff --git a/testing/babeltrace/APKBUILD b/testing/babeltrace/APKBUILD
new file mode 100644
index 0000000..66ac85f
--- /dev/null
+++ b/testing/babeltrace/APKBUILD
_at_@ -0,0 +1,47 @@
+# Contributor: Michael Jeanson <mjeanson_at_efficios.com>
+# Maintainer: Michael Jeanson <mjeanson_at_efficios.com>
+pkgname=babeltrace
+pkgver=1.4.0
+pkgrel=0
+pkgdesc="a trace converter and read/write library"
+url="https://www.efficios.com/babeltrace"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="glib-dev"
+makedepends="$depends_dev popt-dev util-linux-dev bash perl"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://www.efficios.com/files/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--disable-debug-info \
+		|| return 1
+	make || return 1
+	make check || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+md5sums="fa99064048af5c9c6ff00e489ac809c2  babeltrace-1.4.0.tar.bz2"
+sha256sums="9469eeb22617cd12668683b04c27003e5337e9ac66ade914988df3642fc0d0e4  babeltrace-1.4.0.tar.bz2"
+sha512sums="963e190ed532c67a2a130a717aa2397d96fd1bba8d4c579a5a751f3454f8cc472d5ac8d2439b03cb817add0a0cd7cc83e55f459915741c30544cf101e5209801  babeltrace-1.4.0.tar.bz2"
-- 
2.8.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jun 13 2016 - 11:51:17 GMT